Уязвимость BDU:2019-01955

Дата: 14.07.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-01955.

Наименование уязвимости: Уязвимость компонента HttpFoundation фреймворка Symfony, связанная с ошибками обработки HTTP-загловков, позволяющая нарушителю оказать воздействие на целостность защищаемых данных.

Описание уязвимости: Уязвимость компонента HttpFoundation фреймворка Symfony связана с поддержкой заголовка IIS, который позволяет пользователям переопределять путь в URL запросе через заголовок X-Original-URL или X-Rewrite-URL. Эксплуатация уязвимости позволяет нарушителю, действующему удаленно, оказать воздействие на целостность защищаемых данных
Уязвимое ПО: Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Прикладное ПО информационных систем SensioLabs, symfony community Symfony до 2.7.0 до 2.7.48 включительно | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 2.8.0 до 2.8.43 включительно | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 3.3.0 до 3.3.17 включительно | Прикладное ПО информационных систем SensioLabs, symfony community Symfony от 3.4.0 до 3.4.13 включительно | Прикладное ПО информационных систем Drupal от 8.0 до 8.5.6 |

Наименование ОС и тип аппаратной платформы: Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 |
Дата выявления: 14.07.2018.
CVSS 2.0: AV:N/AC:L/Au:S/C:N/I:C/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Symfony:

Обновление программного обеспечения до 3.4.22+dfsg-2 или более поздней версии



Для Debian:

Обновление программного обеспечения (пакета symfony) до 2.8.7+dfsg-1.3+deb9u2 или более поздней версии

Для Drupal:
https://www.drupal.org/SA-CORE-2018-005

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-14773.
Прочая информация:
Тип ошибки CWE: CWE-19
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://symfony.com/blog/cve-2018-14773-remove-support-for-legacy-and-risky-http-headers

https://nvd.nist.gov/vuln/detail/CVE-2018-14773

https://security-tracker.debian.org/tracker/CVE-2018-14773
https://www.drupal.org/SA-CORE-2018-005
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *